#pragma once
#include "Sequencer.h"
#include "Player.h"
#include "midi/LaunchpadScreen.h"

class Sequencer;

class PlaybackScreen : public midi::LaunchpadScreen
{
    typedef midi::LaunchpadScreen parent;

public:

    Sequencer& sequencer;

    PlaybackScreen(Sequencer& seq);
    
    void enable();

    void beforeBeat(Player::BeatIndex beat);
    void afterBeat(Player::BeatIndex beat);

protected:

	virtual void keyPressed(unsigned char x, unsigned char y);
	virtual void keyReleased(unsigned char x, unsigned char y);

    void refresh(unsigned char x, unsigned char y);
    void refreshAll();
};
	
